Skip to main content
`Ctrl`+`K`

# TotalComponent

class astropy.cosmology.traits.TotalComponent

  Bases: `object`

  The cosmology has attributes and methods for the total density.

  This trait has the abstract `Otot` method that returns the total density parameter at redshift `z`. It should be the sum of all other components.

  Attributes Summary

  `Otot0` | Omega total; the total density/critical density at z=0.

  Methods Summary

  `Otot`(z, /) | The total density parameter at redshift `z`.

  Attributes Documentation

  Otot0

    Omega total; the total density/critical density at z=0.

  Methods Documentation

  abstractmethod Otot(z, /)

    The total density parameter at redshift `z`.

    Parameters:
      z Quantity-like [‘redshift’], numpy:array_like

        Input redshifts.

    Returns:
      Otot `array`

        The total density relative to the critical density at each redshift.